%global built_tag v1.2.3
%global built_tag_strip %(b=%{built_tag}; echo ${b:1})

Name:          slirp4netns
Version:       1.2.3
Release:       1
Summary:       slirp for network namespaces
License:       GPL-2.0-only
URL:           https://github.com/rootless-containers/slirp4netns
Source0:       %{url}/archive/%{built_tag}.tar.gz
Source1:       https://github.com/cpuguy83/go-md2man/archive/refs/tags/v2.0.3.tar.gz
BuildRequires: autoconf automake gcc glib2-devel
BuildRequires: git libcap-devel golang
BuildRequires: libseccomp-devel libslirp-devel make

%description
slirp for network namespaces, without copying buffers across the namespaces.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%autosetup -Sgit -n %{name}-%{built_tag_strip}
tar -xf %SOURCE1

%build
GO_MD2MAN_PATH="$(pwd)%{_bindir}"
mkdir -p _build/bin $GO_MD2MAN_PATH
cd go-md2man-*
go build -mod=vendor -o ../_build/bin/go-md2man .
cp ../_build/bin/go-md2man $GO_MD2MAN_PATH/go-md2man
export PATH=$GO_MD2MAN_PATH:$PATH
cd -

./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man

%install
make DESTDIR=%{buildroot} install install-man

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Apr 09 2024 tenglei <tenglei@kylinos.cn> - 1.2.3-1
- upgrade to 1.2.3

* Wed Jan 03 2024 lijian <lijian2@kylinos.cn> - 1.2.2-1
- upgrade to 1.2.2

* Fri Dec 09 2022 liukuo <liukuo@kylinos.cn> - 1.2.0-2
- License compliance rectification

* Tue Jun 07 2022 duyiwei <duyiwei@kylinos.cn> - 1.2.0-1
- upgrade to v1.2.0

* Wed Jan 26 2022 duyiwei <duyiwei@kylinos.cn> - 1.1.9-1
- Package init
